## ethos 0.2.0-0

=== bindings/mono/Makefile ===
# Makefile.in generated by automake 1.10.2 from Makefile.am.
# bindings/mono/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/ethos
pkglibdir = $(libdir)/ethos
pkgincludedir = $(includedir)/ethos
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = bindings/mono
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(ethosdir)"
ethosDATA_INSTALL = $(INSTALL_DATA)
DATA = $(ethos_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run tar
AM_MAKEFLAGS = `test -z $V && echo -s`
AR = ar
AUTOCONF = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run automake-1.10
AWK = gawk
CC = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools/shave cc cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools/shave cxx g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ETHOS_API_VERSION = 1.0
ETHOS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ETHOS_DEBUG_CFLAGS = -DETHOS_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS
ETHOS_LIBS = -Wl,--export-dynamic -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
ETHOS_LT_LDFLAGS = -version-info 200:0:200
ETHOS_MAINTAINER_CFLAGS = 
ETHOS_MAJOR_VERSION = 0
ETHOS_MICRO_VERSION = 0
ETHOS_MINOR_VERSION = 2
ETHOS_UI_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
ETHOS_UI_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
ETHOS_VERSION = 
EXEEXT = 
F77 = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools/shave f77 
FC = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools/shave fc 
FGREP = /scratchbox/tools/bin/grep -F
GIRDIR = 
GJS_CFLAGS = 
GJS_LIBS = 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = /usr/bin/glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = /usr/bin/glib-mkenums
GMCS = 
GOBJECT_QUERY = gobject-query
GREP = /scratchbox/tools/bin/grep
GTESTER = /usr/bin/gtester
GTESTER_REPORT = /usr/bin/gtester-report
GTKDOC_CHECK = /usr/bin/gtkdoc-check
G_IR_COMPILER = 
G_IR_GENERATE = 
G_IR_SCANNER = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = -Wl,-O1 -Wl,--as-needed
LIBOBJS = 
LIBS = 
LIBTOOL = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools/shave-libtool '$(SHELL) $(top_builddir)/libtool'
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEFLAGS = -s
MAKEINFO = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.0/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MONO_CFLAGS = 
MONO_LIBS = 
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
NO_STRICT_ALIASING_CFLAGS = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ethos
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ethos
PACKAGE_STRING = ethos 0.2.0
PACKAGE_TARNAME = ethos
PACKAGE_VERSION = 0.2.0
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYGTK_CFLAGS = 
PYGTK_CODEGEN = 
PYGTK_DEFSDIR = 
PYGTK_H2DEF = 
PYGTK_LIBS = 
PYTHON = /scratchbox/tools/bin/python
PYTHON_CFLAGS = -I/scratchbox/tools/include/python2.3
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LIBS =            		-lpthread -ldl  -lutil
PYTHON_INCLUDES = -I/scratchbox/tools/include/python2.3
PYTHON_LIBS = -lpython2.3
PYTHON_LIB_LOC = -L/scratchbox/tools/lib/python2.3/config
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.3
Q = $(V:1=)
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TYPELIBDIR = 
V = @
VALA_CFLAGS = 
VALA_LIBS = 
VAPI_DIR = 
VERSION = 0.2.0
abs_builddir = /home/simon/build/map-friends/emerillon/ethos-0.2.0/bindings/mono
abs_srcdir = /home/simon/build/map-friends/emerillon/ethos-0.2.0/bindings/mono
abs_top_builddir = /home/simon/build/map-friends/emerillon/ethos-0.2.0
abs_top_srcdir = /home/simon/build/map-friends/emerillon/ethos-0.2.0
ac_ct_CC = cc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /home/simon/build/map-friends/emerillon/ethos-0.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/ethos
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ethos
pkgpythondir = ${pythondir}/ethos
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = /usr/lib/python2.3/site-packages
pythondir = /usr/lib/python2.3/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shavedir = /home/simon/build/map-friends/emerillon/ethos-0.2.0/build/autotools
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
NULL = 
ASSEMBLY = ethos-sharp.dll
ASSEMBLY_DLL = $(builddir)/$(ASSEMBLY)
ethos_sharp_FILES = \
	generated/Error.cs			\
	generated/Global.cs			\
	generated/Manager.cs			\
	generated/Plugin.cs			\
	generated/PluginInfo.cs			\
	generated/PluginLoadedHandler.cs	\
	generated/PluginLoaderAdapter.cs	\
	generated/PluginLoader.cs		\
	generated/PluginUnloadedHandler.cs	\
	generated/UIConfigurableAdapter.cs	\
	generated/UIConfigurable.cs		\
	generated/UIManagerWidget.cs		\
	$(NULL)

ethosdir = /usr/lib/ethos/
ethos_DATA = $(ASSEMBLY_DLL) $(ASSEMBLY_DLL).mdb
CLEANFILES = $(ASSEMBLY_DLL) $(ASSEMBLY_DLL).mdb
EXTRA_DIST = $(ethos_sharp_FILES)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  bindings/mono/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  bindings/mono/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-ethosDATA: $(ethos_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(ethosdir)" || $(MKDIR_P) "$(DESTDIR)$(ethosdir)"
	@list='$(ethos_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(ethosDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(ethosdir)/$$f'"; \
	  $(ethosDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(ethosdir)/$$f"; \
	done

uninstall-ethosDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(ethos_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(ethosdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(ethosdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(ethosdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am

=== debian/changelog ===
ethos (0.2.0-0) jaunty; urgency=low

  * Initial release of ethos, 0.2.0.

 -- Christian Hergert <chris@dronelabs.com>  Wed, 17 Jun 2009 13:42:31 -0700

=== debian/control ===
Source: ethos
Section: libs
Priority: optional
XSBC-Original-Maintainer: Christian Hergert <chris@dronelabs.com>
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Uploaders: Christian Hergert <chris@dronelabs.com>
Build-Depends: cdbs,
               debhelper (>= 5),
               gnome-pkg-tools,
               pkg-config (>= 0.14),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.10.0),
               gtk-doc-tools (>= 1.9),
               dpkg-dev (>= 1.14.13)
Standards-Version: 3.8.0
Homepage: http://dronelabs.com/p/ethos
XS-Python-Version: >= 2.2

Package: libethos-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject library for application plugins - shared libraries
 Ethos is a library providing a standard plugin system that can be re-used.
 The goal is to allow plugin developers to re-use their skills between
 applications, therefore, increasing the developer base.
 .
 This package contains the shared libraries.

Package: libethos-ui-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject library for application plugins, GTK+ integration - shared libraries
 Ethos is a library providing a standard plugin system that can be re-used.
 The goal is to allow plugin developers to re-use their skills between
 applications, therefore, increasing the developer base.
 .
 This package contains the shared libraries.

Package: libethos-dev
Section: libdevel
Architecture: any
Depends: libethos-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev (>= 2.16.0)
Suggests: libunique-doc, vala
Description: GObject library for application plugins - development files
 Ethos is a library providing a standard plugin system that can be re-used.
 The goal is to allow plugin developers to re-use their skills between
 applications, therefore, increasing the developer base.
 .
 This package contains the headers and development libraries needed to
 build applications using the Ethos library

Package: libethos-ui-dev
Section: libdevel
Architecture: any
Depends: libethos-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev (>= 2.16.0),
         libgtk2.0-dev (>= 2.10.0)
Suggests: libunique-doc, vala
Description: GObject library for application plugins, GTK+ integration - development files
 Ethos is a library providing a standard plugin system that can be re-used.
 The goal is to allow plugin developers to re-use their skills between
 applications, therefore, increasing the developer base.
 .
 This package contains the headers and development libraries needed to
 build applications using the Ethos UI library

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --disable-gtk-doc
DEB_DH_MAKESHLIBS_ARGS_libethos-1.0-0 = -V 'libethos-1.0-0 (>= 0.1.0)' -- -c4

LDFLAGS += -Wl,-O1 -Wl,--as-needed

binary-install/python-ethos::
	dh_pycentral -p$(cdbs_curpkg)

VERSION=$(shell ./version.sh)
REV=$(shell git rev-list HEAD^!)
DATE=$(shell date --rfc-2822)
DIST=$(shell lsb_release -c -s)

update-version:
	echo "\
ethos (${VERSION}-1~${DIST}0) ${DIST}; urgency=low\n\
\n\
  * Automatic package for revision ${REV}. \n\
\n\
 -- Christian Hergert <chris@dronelabs.com>  ${DATE}" > debian/changelog
	echo "\n\n*** PACKAGE WILL BE BUILT FOR ${DIST} ***\n\n"

## ethos 0.2.0-1

=== examples/vala-host/Makefile ===
all: valethos

valethos: valethos.vala
	valac valethos.vala --pkg ethos-ui-1.0 --pkg ethos-1.0 --pkg gtk+-2.0

clean:
	rm -rf valethos

=== debian/changelog ===
ethos (0.2.0-1) fremantle; urgency=low

  * Fixed missing dependency for on libethos-ui for libethos-ui-dev

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 2 Nov 2009 23:34:00 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Homepage: http://dronelabs.com/p/ethos
 XS-Python-Version: >= 2.2
 
-Package: libethos-1.0-0
+Package: libethos-1.0-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -28,7 +28,7 @@
  .
  This package contains the shared libraries.
 
-Package: libethos-ui-1.0-0
+Package: libethos-ui-1.0-1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -43,7 +43,7 @@
 Package: libethos-dev
 Section: libdevel
 Architecture: any
-Depends: libethos-1.0-0 (= ${binary:Version}),
+Depends: libethos-1.0-1 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev (>= 2.16.0)
 Suggests: libunique-doc, vala
@@ -58,7 +58,8 @@
 Package: libethos-ui-dev
 Section: libdevel
 Architecture: any
-Depends: libethos-1.0-0 (= ${binary:Version}),
+Depends: libethos-1.0-1 (= ${binary:Version}),
+         libethos-ui-1.0-1 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev (>= 2.16.0),
          libgtk2.0-dev (>= 2.10.0)

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --disable-gtk-doc
-DEB_DH_MAKESHLIBS_ARGS_libethos-1.0-0 = -V 'libethos-1.0-0 (>= 0.1.0)' -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libethos-1.0-1 = -V 'libethos-1.0-1 (>= 0.1.0)' -- -c4
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed

## ethos 0.2.1-0%2bgit206-1

=== bindings/mono/Makefile ===
# Makefile.in generated by automake 1.11 from Makefile.am.
# bindings/mono/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/ethos
pkgincludedir = $(includedir)/ethos
pkglibdir = $(libdir)/ethos
pkglibexecdir = $(libexecdir)/ethos
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = arm-unknown-linux-gnueabi
host_triplet = arm-unknown-linux-gnueabi
subdir = bindings/mono
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(ethosdir)"
DATA = $(ethos_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run aclocal-1.11
AMTAR = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run tar
AM_MAKEFLAGS = `test -z $V && echo -s`
AR = ar
AUTOCONF = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run autoconf
AUTOHEADER = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run autoheader
AUTOMAKE = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run automake-1.11
AWK = gawk
CC = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools/shave cc cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools/shave cxx g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
ETHOS_API_VERSION = 1.0
ETHOS_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
ETHOS_DEBUG_CFLAGS = -DETHOS_ENABLE_DEBUG -DG_DISABLE_CAST_CHECKS
ETHOS_LIBS = -Wl,--export-dynamic -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
ETHOS_LT_LDFLAGS = -version-info 201:0:201
ETHOS_MAINTAINER_CFLAGS = 
ETHOS_MAJOR_VERSION = 0
ETHOS_MICRO_VERSION = 1
ETHOS_MINOR_VERSION = 2
ETHOS_UI_CFLAGS = -DMAEMO_CHANGES -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12  
ETHOS_UI_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
ETHOS_VERSION = 
EXEEXT = 
F77 = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools/shave f77 
FC = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools/shave fc 
FGREP = /scratchbox/tools/bin/grep -F
GIRDIR = 
GJS_CFLAGS = 
GJS_LIBS = 
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = /usr/bin/glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = /usr/bin/glib-mkenums
GMCS = 
GOBJECT_QUERY = gobject-query
GREP = /scratchbox/tools/bin/grep
GTESTER = /usr/bin/gtester
GTESTER_REPORT = /usr/bin/gtester-report
GTKDOC_CHECK = /usr/bin/gtkdoc-check
G_IR_COMPILER = 
G_IR_GENERATE = 
G_IR_SCANNER = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /scratchbox/tools/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /scratchbox/compilers/cs2007q3-glibc2.5-arm7/arm-none-linux-gnueabi/bin/ld
LDFLAGS = -Wl,-O1 -Wl,--as-needed
LIBOBJS = 
LIBS = 
LIBTOOL = /bin/sh /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools/shave-libtool '$(SHELL) $(top_builddir)/libtool'
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEFLAGS = -s
MAKEINFO = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/missing --run makeinfo
MKDIR_P = /scratchbox/tools/bin/mkdir -p
MONO_CFLAGS = 
MONO_LIBS = 
NM = /scratchbox/compilers/bin/nm -B
NMEDIT = 
NO_STRICT_ALIASING_CFLAGS = -fno-strict-aliasing
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ethos
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ethos
PACKAGE_STRING = ethos 0.2.1
PACKAGE_TARNAME = ethos
PACKAGE_URL = 
PACKAGE_VERSION = 0.2.1
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
PYGTK_CFLAGS = -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
PYGTK_CODEGEN = /usr/bin/python2.5 /usr/share/pygtk/2.0/codegen/codegen.py
PYGTK_DEFSDIR = /usr/share/pygtk/2.0/defs
PYGTK_H2DEF = /usr/bin/python2.5 /usr/share/pygtk/2.0/codegen/h2def.py
PYGTK_LIBS = -lgobject-2.0 -lglib-2.0  
PYTHON = /usr/bin/python2.5
PYTHON_CFLAGS = -I/usr/include/python2.5
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_EXTRA_LIBS =             		-lpthread -ldl  -lutil
PYTHON_INCLUDES = -I/usr/include/python2.5
PYTHON_LIBS = -lpython2.5
PYTHON_LIB_LOC = -L/usr/lib/python2.5/config
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.5
Q = $(V:1=)
RANLIB = ranlib
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TYPELIBDIR = 
V = @
VALA_CFLAGS = -I/usr/include/vala-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
VALA_LIBS = -lvala -lgobject-2.0 -lglib-2.0  
VAPI_DIR = /usr/share/vala/vapi
VERSION = 0.2.1
abs_builddir = /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/bindings/mono
abs_srcdir = /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/bindings/mono
abs_top_builddir = /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206
abs_top_srcdir = /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206
ac_ct_CC = cc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnueabi
build_alias = arm-linux-gnueabi
build_cpu = arm
build_os = linux-gnueabi
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnueabi
host_alias = 
host_cpu = arm
host_os = linux-gnueabi
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/ethos
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /scratchbox/tools/bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ethos
pkgpythondir = ${pythondir}/ethos
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.5/site-packages
pythondir = ${prefix}/lib/python2.5/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
shavedir = /home/simon/build/map-friends/emerillon/ethos-0.2.1-0+git206/build/autotools
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
NULL = 
ASSEMBLY = ethos-sharp.dll
ASSEMBLY_DLL = $(builddir)/$(ASSEMBLY)
ethos_sharp_FILES = \
	generated/Error.cs			\
	generated/Global.cs			\
	generated/Manager.cs			\
	generated/Plugin.cs			\
	generated/PluginInfo.cs			\
	generated/PluginLoadedHandler.cs	\
	generated/PluginLoaderAdapter.cs	\
	generated/PluginLoader.cs		\
	generated/PluginUnloadedHandler.cs	\
	generated/UIConfigurableAdapter.cs	\
	generated/UIConfigurable.cs		\
	generated/UIManagerWidget.cs		\
	$(NULL)

ethosdir = $(libdir)/ethos/
ethos_DATA = $(ASSEMBLY_DLL) $(ASSEMBLY_DLL).mdb
CLEANFILES = $(ASSEMBLY_DLL) $(ASSEMBLY_DLL).mdb
EXTRA_DIST = $(ethos_sharp_FILES)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu bindings/mono/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu bindings/mono/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-ethosDATA: $(ethos_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(ethosdir)" || $(MKDIR_P) "$(DESTDIR)$(ethosdir)"
	@list='$(ethos_DATA)'; test -n "$(ethosdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(ethosdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(ethosdir)" || exit $$?; \
	done

uninstall-ethosDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(ethos_DATA)'; test -n "$(ethosdir)" || list=; \

=== debian/changelog ===
ethos (0.2.1-0+git206-1) fremantle; urgency=low

  * Sort out and get compiling for Maemo 

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Tue, 3 Nov 2009 17:21:00 +0000

ethos (0.2.1-0+git206-1~karmic0) karmic; urgency=low

  * Automatic package for revision e0e413180449d8766f9b1c153dbcc7c530676266. 

 -- Christian Hergert <chris@dronelabs.com>  Sat, 26 Sep 2009 21:41:32 -0700

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,24 @@
 Priority: optional
 XSBC-Original-Maintainer: Christian Hergert <chris@dronelabs.com>
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
-Uploaders: Christian Hergert <chris@dronelabs.com>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
-               gnome-pkg-tools,
+               gnome-pkg-tools (>= 0.10),
                pkg-config (>= 0.14),
                libglib2.0-dev (>= 2.16.0),
                libgtk2.0-dev (>= 2.10.0),
+               libvala-dev | vala,
                gtk-doc-tools (>= 1.9),
+               python-dev (>= 2.2),
+               python-gtk2-dev,
+               python-gobject-dev,
+               python-central,
                dpkg-dev (>= 1.14.13)
 Standards-Version: 3.8.0
 Homepage: http://dronelabs.com/p/ethos
 XS-Python-Version: >= 2.2
 
-Package: libethos-1.0-1
+Package: libethos
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -28,7 +32,7 @@
  .
  This package contains the shared libraries.
 
-Package: libethos-ui-1.0-1
+Package: libethos-ui
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -43,7 +47,7 @@
 Package: libethos-dev
 Section: libdevel
 Architecture: any
-Depends: libethos-1.0-1 (= ${binary:Version}),
+Depends: libethos (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev (>= 2.16.0)
 Suggests: libunique-doc, vala
@@ -58,8 +62,8 @@
 Package: libethos-ui-dev
 Section: libdevel
 Architecture: any
-Depends: libethos-1.0-1 (= ${binary:Version}),
-         libethos-ui-1.0-1 (= ${binary:Version}),
+Depends: libethos (= ${binary:Version}),
+         libethos-ui (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev (>= 2.16.0),
          libgtk2.0-dev (>= 2.10.0)
@@ -72,3 +76,31 @@
  This package contains the headers and development libraries needed to
  build applications using the Ethos UI library
 
+Package: libethos-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: libethos
+Suggests: devhelp
+Description: GObject library for application plugins - documentation
+ Ethos is a library providing a standard plugin system that can be re-used.
+ The goal is to allow plugin developers to re-use their skills between
+ applications, therefore, increasing the developer base.
+ .
+ This package contains the HTML documentation for the Ethos library
+
+Package: python-ethos
+Section: python
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: GObject library for application plugins - Python bindings
+ Ethos is a library providing a standard plugin system that can be re-used.
+ The goal is to allow plugin developers to re-use their skills between
+ applications, therefore, increasing the developer base.
+ .
+ This package contains the Python bindings for the Ethos library
+

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

export PYTHON=/usr/bin/python2.5
DEB_CONFIGURE_EXTRA_FLAGS += --enable-static --disable-gtk-doc
DEB_DH_MAKESHLIBS_ARGS_libethos-1.0-0 = -V 'libethos-1.0-0 (>= 0.1.0)' -- -c4

LDFLAGS += -Wl,-O1 -Wl,--as-needed

binary-install/python-ethos::
	dh_pycentral -p$(cdbs_curpkg)

## ethos 0.2.2

=== examples/sample/Makefile ===
all: sample
	$(MAKE) -C plugins

FILES = sample.c
HEADERS = sample.h
PKGS = ethos-1.0 ethos-ui-1.0

sample: $(FILES) $(HEADERS)
	$(CC) -fPIC -export-dynamic -g -o $@ -Wall -Werror $(FILES) `pkg-config --cflags --libs $(PKGS)`

clean:
	rm -rf sample
	$(MAKE) -C plugins clean

=== examples/vala-host/Makefile ===
all: valethos
	$(MAKE) -C plugins

valethos: valethos.vala
	valac valethos.vala --pkg ethos-ui-1.0 --pkg ethos-1.0 --pkg gtk+-2.0

clean:
	rm -rf valethos
	$(MAKE) -C plugins clean

=== examples/sample/plugins/Makefile ===
all: libscroller.so libprogress.so libentry.so

libscroller.so: scroller.c
	$(CC) -fPIC -g -o $@ -Wall scroller.c -shared `pkg-config --libs --cflags ethos-ui-1.0 ethos-1.0` -I..

libprogress.so: progress.c
	$(CC) -fPIC -g -o $@ -Wall progress.c -shared `pkg-config --libs --cflags ethos-ui-1.0 ethos-1.0` -I..

libentry.so: entry.c
	$(CC) -fPIC -g -o $@ -Wall entry.c -shared `pkg-config --libs --cflags ethos-ui-1.0 ethos-1.0` -I..

clean:
	rm -rf lib*.so

=== examples/vala-host/plugins/Makefile ===
all: libsample.so libsample2.so

libsample.so: sample.vala
	valac -C --library sample --vapidir ../../../bindings/vala --pkg ethos-1.0 sample.vala
	gcc -o $@ --shared sample.c `pkg-config --libs --cflags ethos-1.0 gtk+-2.0`

libsample2.so: sample.vala
	valac -C --library sample2 --vapidir ../../../bindings/vala --pkg ethos-1.0 --pkg ethos-ui-1.0 --pkg gtk+-2.0 sample2.vala
	gcc -o $@ --shared sample2.c `pkg-config --libs --cflags ethos-ui-1.0 gtk+-2.0`

clean:
	rm -rf libsample.so libsample2.so

=== debian/changelog ===
ethos (0.2.2-3) unstable; urgency=low

  * Acknowledge NMUs.
  * debian/control: replace valac-0.10 valac-0.14 and libvala-0.10-dev
    with libvala-0.14-dev.
  * debian/control: bump Standards-Version to 3.9.3.
  * debian/copyright:
    - bring it in line with proper DEP-5 syntax.
    - add license text for GFDL and the "meaning" line for DEP-5 definition
      for public-domain, to silence Lintian.
    - small fixups to X-License-Rationale to avoid it upsetting Lintian.
  * debian/patches/02-pkg-config-for-vala-0.10.patch: dropped; replaced.
  * debian/patches/build-with-vala0.14.patch: make configure look at the
    right places for vala 0.14. (Closes: #663294)
  * debian/patches/ld-as-needed.diff: fix FTBFS with ld --as-needed.
    (Closes: #642007)
  * debian/rules: do some cleanup, make sure make clean properly sanitizes
    the build directory. (Closes: #641872)

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Thu, 15 Mar 2012 22:56:49 -0400

ethos (0.2.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace deprecated "G_CONST_RETURN" with "const". (Closes: #650226)
    + new patch: 650226-G_CONST_RETURN.diff
  * Add dependency on python-gtk2 to python-ethos. (Closes: #641871)

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 25 Dec 2011 12:53:54 +0100

ethos (0.2.2-2) unstable; urgency=low

  * Acknowledge NMUs.
  * Switch to source format 3.0 (quilt).
  * Switch from dh_pycentral to dh_python2. (Closes: 616801)
  * debian/compat: Bump compat level to 7.
  * debian/control:
    - drop cdbs, quilt from Build-Depends.
    - update debhelper Build-Depends to 7.0.50~.
    - remove python-central Build-Depends.
    - switch python-dev Build-Depends to python-all-dev and bump to 2.6.6-3~.
    - add a Build-Depends for dh-autoreconf.
    - drop the XB-Python-Version line for python-ethos.
    - replace XS-Python-Version with X-Python-Version, keep the same syntax.
    - rework packages long description to make it easier to understand and
      translate. (Closes: 627127)
    - update Maintainer line to have my correct full name (due to new GPG key)
    - update Homepage field. (Closes: 629440)
    - bump Standards-Version to 3.9.2.
  * debian/rules:
    - switch to building using dh instead of cdbs/debhelper targets.
      + also migrate the makeshlibs and configure calls into overrides for the
        relevant dh scripts.
    - replace use of pycentral by --with python2 for dh.
    - start using autoreconf with dh.
    - drop unnecessary make targets for building/getting a git snapshot.
    - migrate pre-build and autoreconf call into a dh_autoreconf override.
    - move gtk-doc.make removal to an override for dh_autoreconf_clean.
    - properly remove .la files in the find command rather than outside.
  * debian/patches/vala-bindings_enh_1812cbc.patch: cherry-pick patch from git
    to clean up some of the errors showing up at build-time about deprecated
    syntax (replacing "weak" with "unowned").
  * debian/python-ethos.install: don't install the .la files from the C bits of
    the ethos python plugin. (Closes: 621317)
  * debian/patches/tests-new-api.patch: take into account the new third param
    that needs to be passed to g_test_init().
  * debian/rules: correct failure to build the python bits: override dh_python2
    to pass --no-guessing-versions.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Fri, 29 Jul 2011 16:18:42 -0400

ethos (0.2.2-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship la files (Closes: #621317).

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 07:52:42 +0200

ethos (0.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02-pkg-config-for-vala-0.10.patch, debian/control
    - transition from libvala to libvala-1.0, patch from ubuntu; Closes: #628860

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2011 22:49:55 +0200

ethos (0.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Make libethos-ui-dev depend on libethos-dev since it
    needs ethos.h, and libethos-ui-1.0-0 instead of libethos-1.0-0
    (which will now be pulled in by the added libethos-ui-dev dep);
    patch by Andreas Henriksson. (Closes: #575384)
  * Don't install .la files (Squeeze release goal)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 07 Apr 2010 15:07:09 +0200

ethos (0.2.2-1) unstable; urgency=low

  * Initial packaging. (Closes: #551100)

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Mon, 16 Nov 2009 11:15:57 -0500

=== debian/control ===
Source: ethos
Section: libs
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               valac-0.14,
               libvala-0.14-dev,
               gnome-pkg-tools (>= 0.11),
               pkg-config (>= 0.14),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.10.0),
               gtk-doc-tools (>= 1.9),
               python-all-dev (>= 2.6.6-3~),
               python-gtk2-dev,
               python-gobject-dev,
               dpkg-dev (>= 1.14.13)
Standards-Version: 3.9.3
Homepage: http://git.dronelabs.com/ethos
X-Python-Version: >= 2.2
Vcs-Bzr: https://code.edge.launchpad.net/~mathieu-tl/ethos/debian

Package: libethos-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject library for application plugins - shared libraries
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the shared libraries.

Package: libethos-ui-1.0-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject library for application plugins, GTK+ integration - shared libraries
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the shared libraries for the GTK+ integration.

Package: libethos-dev
Section: libdevel
Architecture: any
Depends: libethos-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev (>= 2.16.0)
Suggests: libunique-doc, vala
Description: GObject library for application plugins - development files
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the headers and development libraries needed to
 build applications using the Ethos library

Package: libethos-ui-dev
Section: libdevel
Architecture: any
Depends: libethos-dev,
         libethos-ui-1.0-0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev (>= 2.16.0),
         libgtk2.0-dev (>= 2.10.0)
Suggests: libunique-doc, vala
Description: GObject library for application plugins, GTK+ integration - development files
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the headers and development libraries needed to
 build applications using the Ethos UI library

Package: libethos-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libethos-1.0-0
Suggests: devhelp
Description: GObject library for application plugins - documentation
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the HTML documentation for the Ethos library

Package: python-ethos
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gtk2
Provides: ${python:Provides}
Description: GObject library for application plugins - Python bindings
 Ethos is a library providing a standard system of reusable extensions. The
 goal is to enable plugin developers to reuse the same code in different
 applications and thereby make better use of their time.
 .
 This package contains the Python bindings for the Ethos library

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2,autoreconf $@

override_dh_autoreconf:
	gtkdocize --copy
	dh_autoreconf
	intltoolize -c -f

override_dh_autoreconf_clean:
	rm -f gtk-doc.make
	rm -f po/Makefile.in.in
	rm -f m4/gtk-doc.m4 m4/intltool.m4
	dh_autoreconf_clean

override_dh_auto_clean:
	rm -f doc/reference/ethos-overrides.txt doc/reference/ethos-sections.txt
	rm -f doc/reference/ethos.types
	rm -f doc/reference/tmpl/ethos-*.sgml
	rm -f examples/vala/basic.c
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -ppython-ethos -n
	dh_makeshlibs -plibethos-1.0-0 -V 'libethos-1.0-0 (>= 0.1.0)' -- -c4
	dh_makeshlibs --remaining-packages

override_dh_auto_install:
	find debian/$(cdbs_curpkg) -name '*.la' -exec rm {} \;
	dh_auto_install

override_dh_python2:
	dh_python2 --no-guessing-versions

=== debian/watch ===
version=3
http://ftp.dronelabs.com/sources/ethos/([0-9.]+)/ethos-([0-9.]+).tar.gz
